%define majver %(echo %version | cut -d. -f1-2)

Name:          kwidgetsaddons
Version:       5.9.0
Release:       3mamba
Summary:       KDE Frameworks 5 large set of desktop widgets
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/%{majver}/kwidgetsaddons-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: rpm-macros-kde5
BuildRequires: libQt5Gui
BuildRequires: libQt5Widgets
#BuildRequires: libQt5LinguistTools
#BuildRequires: libQt5UiTools
BuildRequires: libQt5Test
BuildRequires: libQt5Core
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Add-on widgets and classes for applications that use the Qt Widgets module.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang kwidgetsaddons5_qt --with-qt --all-name || touch kwidgetsaddons5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name} -f kwidgetsaddons5_qt.lang
%defattr(-,root,root)
%{_kde5_libdir}/libKF5WidgetsAddons.so.*
%doc COPYING COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_kde5_includedir}/KWidgetsAddons
%{_kde5_includedir}/kwidgetsaddons_version.h
%{_kde5_libdir}/cmake/KF5WidgetsAddons
%{_kde5_libdir}/libKF5WidgetsAddons.so
%{_kde5_mkspecsdir}/qt_KWidgetsAddons.pri
%{_kde5_datadir}/kf5/kcharselect/kcharselect-data
%doc README.md

%changelog
* Sat Apr 25 2015 Davide Madrisan <davide.madrisan@gmail.com> 5.9.0-3mamba
- standardize the specfile
- add some missing build requirements

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-2mamba
- automatic version update by autodist

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Thu Mar 19 2015 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Sun Feb 22 2015 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Fri Feb 13 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- package created using the webbuild interface
